<script lang="ts">
  export let players: PlayerState[];
  export let playerId: PlayerId;

  $: playerIndex = players.findIndex((p) => p.id === playerId);
  $: emoji = playerIndex % 2 === 0 ? "🚩" : "🏴";
</script>

<span class="flag">
  <span class="emoji">{emoji}</span>
</span>
